use serde::{Deserialize, Serialize};

use super::{FamilyId, PeerId};

#[derive(Serialize, Deserialize, Clone, Debug, PartialEq)]
pub struct Family {
    pub id: FamilyId,
    pub name: Option<String>,
    pub members: Vec<PeerId>,
}

impl Family {
    pub fn new(id: FamilyId, name: Option<String>, members: Vec<PeerId>) -> Self {
        Family {
            id,
            name,
            members,
        }
    }
}
