use ubisync_lib::types::{ContentUpdateStrategy, ElementContent, ElementId, MessageId};

use crate::state::CommState;



pub(crate) fn merge_element_contents(state: &CommState, id: ElementId, incoming: ElementContent, message: MessageId) -> Option<ElementContent> {
    let element = state.get_element(id)?;
    match element.update_strategy {
        ContentUpdateStrategy::Overwrite => {
            Some(incoming)
        },
        _ => None
    }
}